WordPress升级提示“存在不一致的文件权限”错误的解决办法

使用过WordPress程序的朋友应该都知道,WordPress经常需要更新版本,而为了网站安全起见,很多朋友都会选择升级版本。

现在WordPress最新版本都是5.3了,于是小编也在后台按了下升级按钮,前面还好好的,不过一会就出现“因为我们不能复制一些文件,升级未被安装。这通常是因为存在不一致的文件权限。:wp-admin/includes/update-core.php 安装失败”的错误提示。

WordPress提示“存在不一致的文件权限”错误的解决办法

从字面意思来看可能是update-core.php文件写入权限不足,于是感觉修改权限,因为WordPress是安装在美国VPS Centos7系统里面,所以直接登录终端,用命令修改给update-core.php 777权限:

chmod 777 update-core.php

修改权限之后,再次安装仍然出现问题,只是文件名称不一样:

“因为我们不能复制一些文件,升级未被安装。这通常是因为存在不一致的文件权限。: wp-admin/js/updates.min.js, wp-admin/js/common.js, wp-admin/js/customize-controls.js, wp-admin/js/common.min.js, wp-admin/js/updates.js, wp-admin/js/customize-controls.min.js, wp-admin/includes/file.php, wp-admin/customize.php, wp-admin/about.php, wp-includes/js/plupload/handlers.min.js, wp-includes/js/plupload/handlers.js, wp-includes/js/wp-api.js, wp-includes/js/wp-api.min.js, wp-includes/class-wp-customize-manager.php, wp-includes/class-http.php, wp-includes/class-wp-xmlrpc-server.php, wp-includes/version.php, wp-includes/taxonomy.php

安装失败

WordPress提示“存在不一致的文件权限”错误的解决办法

于是索性一下给/wp-admin/、/wp-includes/、 /wp-content/以及目录文件修改写入权限。命令如下:

chmod 777 wp-admin wp-includes wp-content

执行好之后,再次升级安装,还是出现这样的问题,内容如下:

“因为我们不能复制一些文件,升级未被安装。这通常是因为存在不一致的文件权限: wp-config-sample.php,wp-login.php

安装失败

这次感觉比较少,就2个文件,老方法,给这两个文件权限,执行命令:

chmod 777 wp-config-sample.php

chmod 777 wp-login.php

执行权限命令之后,继续升级,最终没有出现任何错误,方才升级成功!

总结:在安装或者升级WordPress程序时,如果出现类似上面的错误的话,只需修改相应文件的权限即可(一般是没有写入权限造成的)解决问题。

如果是使用虚拟主机的话,基本不会出现这样的问题,当然,出现了可以在cPanel里面更改文件权限为755即可。如果是centos,不管是nginx还是apache,基本都很容易出现这样的问题,大家只要安装提升修改文件权限就行了。

(本文由美国主机侦探原创,转载请注明!)

微信扫码加好友进群

主机优惠码及时掌握

温馨提示:

1、本站部分图片来源于互联网,如有侵权请联系删除。QQ:800013301

2、本文评论没有专人回复,如果您有问题请到美国主机侦探论坛提问!

3、美国主机侦探免费为您提供美国主机购买咨询。

RAKsmart美国高防服务器
返回顶部